﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using NUnit.Framework;

namespace ConnectionKiller.Test
{
    [TestFixture]
    public class ConfigFileReaderTest
    {
        [Test]
        public void ReadConnectionStringFromAppConfig()
        {
            var expected = @"Data Source=.\SqlExpress;Initial Catalog=KoopOmDeHoek;Integrated Security=True";
            Assert.AreEqual(expected,ConfigFileReader.GetFirstConnectionstringFromConfigFile(@".\..\..\Testdata\App.config"));
        }

        [Test]
        public void ReadConnectionStringFromWebConfig()
        {
            var expected = @"Data Source=.\SqlExpress;Initial Catalog=KoopOmDeHoek;Integrated Security=True";
            Assert.AreEqual(expected, ConfigFileReader.GetFirstConnectionstringFromConfigFile(@".\..\..\Testdata\Web.config"));
        }

    }
}
